aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xf86-video-s3virge/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-19 20:48:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-19 20:48:14 +0000
commit3010e821a04d06b400ec4b8768d3370391ab81f9 (patch)
treecbfcad35d218e79e3cac4764eb64f1f3d8eb5d88 /x11/xf86-video-s3virge/APKBUILD
parent2675f8b5236657ca8c86b4889af883e046204ac1 (diff)
downloadaports-3010e821a04d06b400ec4b8768d3370391ab81f9.tar.gz
aports-3010e821a04d06b400ec4b8768d3370391ab81f9.tar.bz2
aports-3010e821a04d06b400ec4b8768d3370391ab81f9.tar.xz
x11/xf86-video-*: new aports
added various xorg video drivers
Diffstat (limited to 'x11/xf86-video-s3virge/APKBUILD')
-rw-r--r--x11/xf86-video-s3virge/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/x11/xf86-video-s3virge/APKBUILD b/x11/xf86-video-s3virge/APKBUILD
new file mode 100644
index 0000000000..c4b60e3e06
--- /dev/null
+++ b/x11/xf86-video-s3virge/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-s3virge
+pkgver=1.10.2
+pkgrel=0
+pkgdesc="S3 ViRGE video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="69784e4964d75487d81be4eae3d467dd xf86-video-s3virge-1.10.2.tar.bz2"